@import "src/scss/variables/colors";

//Tablet//
@media screen and (min-width: 768px) {
  .container {
    width: 768px;
    margin: 0 auto;
    grid-template-rows: 0fr 1fr 2fr;
  }
  .nav {
    margin: 41px 80px;
    &__list {
      position: static;
      display: flex;
      flex-direction: row;
      width: auto;
      background-color: $colorWhite;
    }
    &__bar {
      display: none;
    }
    &__item:hover {
      background-color: $colorWhite;
    }
    &__link:hover {
      color: $ColorLightBlue;
    }
  }

  .header {
    grid-area: header;
    &__image {
      background-image: url("../img/background_tab.png");
      width: 768px;
      height: 361px;
    }
  }

  .post {
    &__wrapper {
      display: flex;
    }
    &__description {
      display: inline-block;
    }
    &__text {
      margin-left: 15px;
      width: 400px;
    }
    &.hidden {
      display: inline-block;
    }
  }

  .footer {

    &__heading {
      @include font-heading-footer-desc;
    }
    &__description {
      @include font-footer-text-desc;
      width: 684px;
    }
    &__address {
      @include font-footer-address-desc;
      width: 613px;
    }

  }

}

//Desktop//
@media screen and (min-width: 1200px) {
  .container {
    display: grid;
    grid-template-rows: 0fr 2fr 2fr;
    grid-template-areas: 'nav' 'header' 'main';
    width: 1170px;
    margin: 0 auto;

  }

  .nav {
    margin: 45px 200px;
    &__list {
      position: static;
      display: flex;
      flex-direction: row;
      width: auto;
      background-color: $colorWhite;
    }
    &__bar {
      display: none;
    }
  }

  .header {
    grid-area: header;
    margin: 0 auto;
    &__image {
      background-image: url("../img/background_desc.png");
      width: 1170px;
      height: 550px;
    }
  }

  .main__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
  }

  .post {
    &__order--1 {
      order: 1;
    }
    &__order--2 {
      order: 3;
    }
    &__order--3 {
      order: 2;
    }
    &__order--4 {
      order: 4;
    }
  }
}